upgrade to os4 GM and keep jailbreak?

Discussion in 'Jailbreaks and iOS Hacks' started by JosephBergdoll, Jun 7, 2010.

  1. JosephBergdoll macrumors 6502

    Joined:
    May 7, 2009
    Location:
    NYC
  2. Marty Macfly macrumors regular

    Joined:
    Jun 5, 2010
    #2
    Obviously not. Do you have any legitimate reason to want to upgrade to a prerelease software?
     
  3. fs454 macrumors 68000

    Joined:
    Dec 7, 2007
    Location:
    Los Angeles / Boston
    #3
    Seriously? It's a gold master, it's pretty much done. He wants it for the new features and multitasking.

    Also, this is the hacks section. This is basically the whole point of this section.
     
  4. Marty Macfly macrumors regular

    Joined:
    Jun 5, 2010
    #4
    It's also not publicly available, and as an end-user he is neither entitled to nor should be able to get it. It requires iTunes 9.2, which is also not available.
     
  5. MatthewStorm macrumors 6502a

    MatthewStorm

    Joined:
    Oct 19, 2003
    Location:
    NYC
    #5
    Dude, why are you even in this forum?
     
  6. fs454 macrumors 68000

    Joined:
    Dec 7, 2007
    Location:
    Los Angeles / Boston
    #6
    Yeah, and no one should be able to jailbreak their phones, yet this is a forum dedicated to hacking the phone and doing things you're not able to normally do. How do you know he's not a dev wanting to keep his phone jailbroken for things like mywi and sbsettings?
     
  7. Krafty macrumors 601

    Krafty

    Joined:
    Dec 31, 2007
    Location:
    La La Land
    #7
    Negative, word is that it will be available to come.
     
  8. Marty Macfly macrumors regular

    Joined:
    Jun 5, 2010
    #8
    This forum exists for the purpose of hacking, not illegally obtaining software.
     
  9. fs454 macrumors 68000

    Joined:
    Dec 7, 2007
    Location:
    Los Angeles / Boston
    #9
    No one is asking where to get illegal software.
     
  10. Mystikal macrumors 68020

    Mystikal

    Joined:
    Oct 4, 2007
    Location:
    Irvine, CA
    #10
    He wasnt asking for it, therefore, irrelevant.
     
  11. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #12
    If he was, then he wouldn't need to ask such a foolish question.
     
  12. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #13
    I am sure a version of PwnageTool will be released for 4.0 soon.
     
  13. bella92108 macrumors 68000

    Joined:
    Mar 1, 2006
  14. Ramphex macrumors 6502

    Ramphex

    Joined:
    Jun 9, 2009
    Location:
    USA/PA
    #15
    you can never upgrade and keep the jailbreak with major releases like that, you'll have to rejailbreak it once it's updated
     
  15. bella92108 macrumors 68000

    Joined:
    Mar 1, 2006
    #16
    But won't Spirit re-JB it after upgrading the OS to 4.0?
     
  16. fs454 macrumors 68000

    Joined:
    Dec 7, 2007
    Location:
    Los Angeles / Boston
    #17
    Can anyone confirm Spirit to work/not work with this GM seed? Spirit was originally supposed to be 4.0 compatible.
     
  17. Ramphex macrumors 6502

    Ramphex

    Joined:
    Jun 9, 2009
    Location:
    USA/PA
    #18
    Wouldn't that be on their site if it was 4.0 compatible? Lol.
     
  18. JosephBergdoll thread starter macrumors 6502

    Joined:
    May 7, 2009
    Location:
    NYC
    #19
    I have a developer account.
     
  19. philstone macrumors 6502

    Joined:
    Oct 13, 2008
    Location:
    Jersey, Channel Isles
    #20
    Redsn0w 0.9.5 Beta 4 works on GM...
    (Does still break Safari though.)
     
  20. bella92108 macrumors 68000

    Joined:
    Mar 1, 2006
    #21
    Breaks safari ? Huh?
     
  21. philstone macrumors 6502

    Joined:
    Oct 13, 2008
    Location:
    Jersey, Channel Isles
    #22
    Yip, loads then crashes out to springboard... Opera works fine though...
     
  22. bella92108 macrumors 68000

    Joined:
    Mar 1, 2006
    #23
    Ouch I'll hold out till that's resolved lol
     
  23. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #24
    Spirit does not work on 4.0 (says it is not compatible with "device iPhone 3GS (4.0)"), but I do not know whether that is because its exploit is not present in 4.0 or merely because the application hasn't yet been updated for 4.0.
     
  24. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #25
    I'm sure Apple closed the Spirit exploit in 4.0, but we shall have to wait and see.

    Spirit was expected to be a "one time exploit". That's why it was released for 3.1.3 and not held.
     

Share This Page